org.eclipse.actf.visualization.gui

## Class TargetWindowDataProvider

- java.lang.Object
- - org.eclipse.actf.visualization.gui.TargetWindowDataProvider

    public abstract class TargetWindowDataProvider
    extends Object

Abstract class to add new Target Window for GUI Visualization. Contributors need to implement this class and register the implementation to `org.eclipse.actf.visualization.gui.targetWindowData` extension point.

### Constructor Summary

Constructors
Constructor and Description
`TargetWindowDataProvider()`

### Method Summary

Methods
`IModelService` `getActiveModelService()` Get current active Data source
`IModelService[]` `getModelService()` Get all ModelService

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TargetWindowDataProvider

    public TargetWindowDataProvider()

### Method Detail

#### getModelService

    public IModelService[] getModelService()

Get all ModelService

Returns:
  array of IModelService. getActiveModelService is called if null is returned by this method

#### getActiveModelService

    public IModelService getActiveModelService()

Get current active Data source

Returns:
  IModelService